From: <a href="/blend/av.cgi?id=1606">naturalbornkillerblonde</a><BR>
Date: 12 June 2005<P>

Michael, Wow!!! great read.  Got me frustrated.  Think I'll take my own little trip to Seattle now ;)
<HR>
From: <a href="/blend/av.cgi?id=1606">naturalbornkillerblonde</a><BR>
Date: 12 June 2005<P>

im just him,  DAUM!!!! I really like your work !!!  20 Fingers is cool and I have not heard that special Ringtone in months myself.
<HR>
From: <a href="/blend/av.cgi?id=2">scqueen</a><BR>
Date: 12 June 2005<P>

I'd like to extend a sincere apology to a friend who I deeply offended in a recent post. Because a deep issue of mine has always been my growing up feeling very 'judged' and never fitting the standards of my parent's expectations, I tend to write from the person I am deep down but have to hide on the outside because of these expectations. I have learned a valuable lesson today. Again, I am truly sorry to have hurt such a golden-hearted person.
<HR>
From: <a href="/blend/av.cgi?id=1511">sassy</a><BR>
Date: 12 June 2005<P>

penelope <a href="/blend/wv.cgi?id=2005.06.12.08.24.13593">Drifts</a>  is just exquisite! Beautiful.  I love the interplay of water and sleep.  I can't tell you how amazing I think this is. <BR>
i'm just him <a href="/blend/wv.cgi?id=2005.06.12.11.26.12031">20 fingers tight </a>  I love the concept of this one. <BR>
naturalbornkillerblonde <a href="/blend/wv.cgi?id=2005.06.12.12.36.20717">blue eyes & sport bikes</a>  is cool. You sound like a free spirit. <BR>
<BR>
Its raining like crazy here, maybe now it will cool off!!!!
<HR>
From: <a href="/blend/av.cgi?id=8">Ali</a><BR>
Date: 12 June 2005<P>

sassy~<BR>
<BR>
I absolutely loved <a href="/blend/wv.cgi?id=2005.06.11.12.14.28245">Paint It</a> !  Excellent piece that touched my heart.  I could definitely relate.  *smile* Thanks for sharing!<BR>
<BR>
scqueen~<BR>
<BR>
My dear, I loved all your latest!  It is always a pleasure to be able to read your words.  Hugs!<BR>
<BR>
Love and quiet smiles, Ali
<HR>